Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005144OCamlCamlp4public2010-09-10 20:252012-09-25 20:06
Reporterjaked 
Assigned Toxclerc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version3.12.1+dev 
Summary0005144: object copy syntax parsed wrong with camlp4of
DescriptionFor example

  camlp4of -str "{< foo = bar; baz = quux >}"

produces

  {< foo = (bar; baz = quux); >}

i.e. everything after the first = is parsed as a single expression. I think in the field_expr entry, the call to expr should be at level "top" or lower.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0004673closedxclerc camlp4 fails to preprocess correctly valid object oriented OCaml 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-09-10 20:25 jaked New Issue
2010-09-10 20:25 jaked Status new => assigned
2010-09-10 20:25 jaked Assigned To => ertai
2011-02-15 11:43 xclerc Relationship added has duplicate 0004673
2011-02-15 11:56 xclerc Assigned To ertai => xclerc
2011-02-15 11:56 xclerc Status assigned => resolved
2011-02-15 11:56 xclerc Fixed in Version => 3.12.1+dev
2011-02-15 11:56 xclerc Resolution open => fixed
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker